= nng_msg_header_len(3)
//
// Copyright 2018 Staysail Systems, Inc. <info@staysail.tech>
// Copyright 2018 Capitar IT Group BV <info@capitar.com>
//
// This document is supplied under the terms of the MIT License, a
// copy of which should be located in the distribution where this
// file was obtained (LICENSE.txt).  A copy of the license may also be
// found online at https://opensource.org/licenses/MIT.
//

== NAME

nng_msg_header_len - return message header length

== SYNOPSIS

[source, c]
----
#include <nng/nng.h>

size_t nng_msg_header_len(nng_msg *msg);
----

== DESCRIPTION

The `nng_msg_header_len()` returns the length of message header of _msg_.

== RETURN VALUES

Length of message header.

== ERRORS

None.

== SEE ALSO

[.text-left]
xref:nng_msg_alloc.3.adoc[nng_msg_alloc(3)],
xref:nng_msg_header.3.adoc[nng_msg_header(3)],
xref:nng_msg.5.adoc[nng_msg(5)],
xref:nng.7.adoc[nng(7)]
